=== debian/control ===
Source: python-bsddb3
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 6),
  libdb5.3-dev,
  python2.7-dev (>= 2.7.8-4),
  python-all-dev (>= 2.6.6-1~),
  python-all-dbg,
  python3-all-dev (>= 3.2.3-7~),
  python3-all-dbg
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.5
Homepage: http://pypi.python.org/pypi/bsddb3/

Package: python-bsddb3
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: python-bsddb3-dbg
Provides: ${python:Provides}
Description: Python interface for Berkeley DB
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.

Package: python-bsddb3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-bsddb3 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface for Berkeley DB (debug extension)
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.
 .
 This package contains the extension built for the python debug interpreter.

Package: python3-bsddb3
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python3-bsddb3-dbg
Provides: ${python3:Provides}
Description: Python interface for Berkeley DB (Python 3.x)
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.

Package: python3-bsddb3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-bsddb3 (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python interface for Berkeley DB (debug extension, Python 3.x)
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.
 .
 This package contains the extension built for the python debug interpreter.

Package: python-bsddb3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-bsddb3 | python3-bsddb
Description: Documentation for the python Berkeley DB interface module
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.
 .
 This package contains the documentation for python-bsddb3 and python3-bsddb.
