## python-bsddb3 6.2.6

=== debian/changelog ===
python-bsddb3 (6.2.6-3) unstable; urgency=medium

  * Bump standards version.
  * python3-bsddb3: Fix location of include directory. Closes: #920028.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Jan 2019 23:17:17 +0100

python-bsddb3 (6.2.6-2) unstable; urgency=medium

  * New upstream release.
  * Fix building the documentation, now using dh_sphinxdoc.
  * python3-bsddb3-dbg: Fix dangling symlink to the python include
    directory. Closes: #858483.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2018 13:52:39 +0200
