=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-bsddb3
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 6),
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: debhelper (>= 9),
+  dh-python,
   libdb5.3-dev,
   python2.7-dev (>= 2.7.8-4),
   python-all-dev (>= 2.6.6-1~),
   python-all-dbg,
   python3-all-dev (>= 3.2.3-7~),
   python3-all-dbg
-Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.5
+Build-Depends-Indep: python3-sphinx
+Standards-Version: 4.3.0
 Homepage: http://pypi.python.org/pypi/bsddb3/
 
 Package: python-bsddb3
@@ -31,7 +31,6 @@
 Package: python-bsddb3-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: python-bsddb3 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Python interface for Berkeley DB (debug extension)
@@ -62,7 +61,6 @@
 Package: python3-bsddb3-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: python3-bsddb3 (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Description: Python interface for Berkeley DB (debug extension, Python 3.x)
@@ -79,8 +77,8 @@
 Package: python-bsddb3-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Suggests: python-bsddb3 | python3-bsddb
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: python-bsddb3
 Description: Documentation for the python Berkeley DB interface module
  This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
  for the Database Environment, Database, Cursor, Sequence and Transaction
