=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYVER   := $(shell pyversions -vd)
 PY3VERS   := $(shell py3versions -vs)
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 p	= python-bsddb3
 d	= debian/$(p)
@@ -53,6 +53,7 @@
 	dh_testroot
 	rm -f build-stamp* build*-python* dbg-build*-python*
 	rm -rf build docs/build
+	rm -rf build docs/html
 	find -name '*.py[co]' | xargs -r rm -f
 	dh_clean
 
@@ -62,7 +63,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 install-python%:
 	mkdir -p $(d)/usr/bin
@@ -93,6 +94,9 @@
 	python$* setup3.py install \
 		--root=$(CURDIR)/$(d3) --install-layout=deb $(build_args)
 	rm -rf $(d3)/usr/lib/python$*/*-packages/bsddb3/tests
+	mkdir -p $(d3)/usr/include/python$*m
+	mv $(d3)/usr/include/python$*/* $(d3)/usr/include/python$*m/.
+	rm -rf $(d3)/usr/include/python$*
 
 dbg-install3-python%:
 	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -103,8 +107,8 @@
 		| xargs -r rm -f
 	find debian/python3-*-dbg -depth -empty -exec rmdir {} \;
 	rm -rf $(d3)-dbg/usr/include/python$*
-	mkdir -p $(d3)-dbg/usr/include/python$*dmu
-	ln -sf ../python$*mu/bsddb3 $(d3)-dbg/usr/include/python$*dmu/bsddb3
+	mkdir -p $(d3)-dbg/usr/include/python$*dm
+	ln -sf ../python$*m/bsddb3 $(d3)-dbg/usr/include/python$*dm/bsddb3
 
 
 # Build architecture-independent files here.
@@ -113,18 +117,13 @@
 	dh_testroot
 	dh_installdocs -i README.txt TODO.txt
 	mkdir -p $(d)-doc/usr/share/doc/$(p)
-	cp -pr docs/html $(d)-doc/usr/share/doc/$(p)/
-	rm -rf $(d)-doc/usr/share/doc/python-bsddb3/html/static/jquery.js
-	dh_link -p$(p)-doc \
-		/usr/share/javascript/jquery/jquery.js \
-		/usr/share/doc/python-bsddb3/html/static/jquery.js
+	cp -pr docs/build/html $(d)-doc/usr/share/doc/$(p)/
+	dh_sphinxdoc -p$(p)-doc
 	ln -sf ../$(p)/html $(d)-doc/usr/share/doc/$(p)-doc
 	dh_link -p$(p)-doc \
 		/usr/share/javascript/jquery/jquery.js \
 		/usr/share/doc/$(p)/html/_static/jquery.js
 	dh_installchangelogs -i ChangeLog
-	dh_python2 -i
-	dh_python3 -i
 	dh_compress -i -X.js -X.json -X.inv
 	dh_fixperms -i
 	dh_installdeb -i
@@ -155,5 +154,5 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-indep binary-arch
+binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install
