=== debian/watch ===
version=3
http://pypi.debian.net/bsddb3/bsddb3-(.*)\.(?:tar\.gz|zip)
