## python-bsddb3 6.2.7

=== debian/changelog ===
python-bsddb3 (6.2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937622

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 15:06:57 -0400

python-bsddb3 (6.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2020 17:12:56 +0100

python-bsddb3 (6.2.6-4) unstable; urgency=medium

  * python-bsddb3-dbg: Depend on python2-dbg instead of python-dbg.
  * python-bsddb3-doc: Suggest the Python3 module.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jan 2020 15:01:56 +0100
