=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYVERS  := $(shell pyversions -vs)
-PYVER   := $(shell pyversions -vd)
 PY3VERS   := $(shell py3versions -vs)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -17,19 +15,7 @@
 build: build-stamp
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: $(PYVERS:%=build-python%) $(PYVERS:%=dbg-build-python%) $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%)
-	touch $@
-
-build-python%:
-	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	BERKELEYDB_INCDIR=/usr/include \
-	python$* setup2.py build $(build_args)
-	touch $@
-
-dbg-build-python%:
-	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	BERKELEYDB_INCDIR=/usr/include \
-	python$*-dbg setup2.py build $(build_args)
+build-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%)
 	touch $@
 
 build3-python%:
@@ -57,36 +43,13 @@
 	find -name '*.py[co]' | xargs -r rm -f
 	dh_clean
 
-install: build install-prereq $(PYVERS:%=install-python%) $(PYVERS:%=dbg-install-python%) $(PY3VERS:%=install3-python%) $(PY3VERS:%=dbg-install3-python%)
+install: build install-prereq $(PY3VERS:%=install3-python%) $(PY3VERS:%=dbg-install3-python%)
 	find debian -name '*.py[co]' | xargs -r rm -f
 
 install-prereq:
 	dh_testdir
 	dh_testroot
 	dh_prep
-
-install-python%:
-	mkdir -p $(d)/usr/bin
-#	mkdir -p $(d)/usr/lib/python$*/site-packages
-	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	BERKELEYDB_INCDIR=/usr/include \
-	python$* setup2.py install \
-		--root=$(CURDIR)/$(d) --install-layout=deb $(build_args)
-	rm -rf $(d)/usr/lib/python$*/*-packages/bsddb3/tests
-
-dbg-install-python%:
-	mkdir -p $(d)/usr/bin
-#	mkdir -p $(d)-dbg/usr/lib/python$*/site-packages
-	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	BERKELEYDB_INCDIR=/usr/include \
-	python$*-dbg setup2.py install \
-		--root=$(CURDIR)/$(d)-dbg --install-layout=deb $(build_args)
-	find debian/python-*-dbg/usr/lib ! -type d ! -name '*.so' \
-		| xargs -r rm -f
-	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
-	rm -rf $(d)-dbg/usr/include/python$*
-	mkdir -p $(d)-dbg/usr/include/python$*_d
-	ln -sf ../python$*/bsddb3 $(d)-dbg/usr/include/python$*_d/bsddb3
 
 install3-python%:
 	BERKELEYDB_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -137,13 +100,9 @@
 	dh_testroot
 	dh_installdocs -a README.txt TODO.txt
 	dh_installchangelogs -a ChangeLog
-	dh_python2 -a
 	dh_python3 -a
 	dh_link -a
-	dh_strip -p$(p) --dbg-package=$(p)-dbg
 	dh_strip -p$(p3) --dbg-package=$(p3)-dbg
-	rm -rf $(d)-dbg/usr/share/doc/$(p)-dbg
-	ln -s $(p) $(d)-dbg/usr/share/doc/$(p)-dbg
 	rm -rf $(d3)-dbg/usr/share/doc/$(p3)-dbg
 	ln -s $(p3) $(d3)-dbg/usr/share/doc/$(p3)-dbg
 	dh_compress -a
