## python-bsddb3 6.2.9

=== debian/changelog ===
python-bsddb3 (6.2.9-5) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/control: Use real homepage.
  * Drop unused debian/source/include-binaries.
  * Use watch file from pypi.debian.net.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 30 Dec 2025 07:10:00 +0100

python-bsddb3 (6.2.9-4) unstable; urgency=medium

  * QA upload.
  * Apply multi-arch hint
  * Add explicity build dep on python3-setuptools (Closes: #1080719)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 13:26:05 +0100

python-bsddb3 (6.2.9-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2024 09:01:11 +0100

python-bsddb3 (6.2.9-2) unstable; urgency=medium

  * QA upload.
  * Stop building the python3-bsddb3-dbg package. Closes: #994347.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 13:29:08 +0200

python-bsddb3 (6.2.9-1) unstable; urgency=medium

  * QA upload, orphaning the package. See #977266.
  * New upstream version.
  * Drop the html docs, build support is dropped upstream.
  * bsddb3 is replaced by berkeleydb (https://pypi.org/project/berkeleydb/).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2020 12:29:05 +0100

python-bsddb3 (6.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Nov 2020 17:55:19 +0100
