=== debian/control ===
Source: python-bsddb3
Section: python
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libdb5.3-dev,
               python3-all-dev,
               python3-setuptools,
Build-Depends-Indep: python3-sphinx,
Standards-Version: 4.7.3
Homepage: https://www.jcea.es/programacion/pybsddb.htm
Vcs-Browser: https://salsa.debian.org/debian/python-bsddb3
Vcs-Git: https://salsa.debian.org/debian/python-bsddb3.git

Package: python3-bsddb3
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: ${python3:Provides},
Description: Python interface for Berkeley DB (Python 3.x)
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.

Package: python-bsddb3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-bsddb3,
Description: Documentation for the python Berkeley DB interface module
 This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
 for the Database Environment, Database, Cursor, Sequence and Transaction
 objects, and each of these is exposed as a Python Type in the bsddb3.db
 module.  The database objects can use various access methods: btree, hash,
 recno and queue.  Complete support of Berkeley DB distributed transactions.
 Complete support for Berkeley DB Replication Manager. Complete support for
 Berkeley DB Base Replication. Support for RPC.
 .
 This package contains the documentation for python-bsddb3 and python3-bsddb.
